import React from 'react';
import { Button, Input, List, Popconfirm, Tree, Space, Modal } from 'antd';

export default (props) => {
  const data = [
    'Racing car sprays burning fuel into crowd.',
    'Japanese princess to wed commoner.',
    'Australian walks 100km after outback crash.',
    'Man charged over missing wedding girl.',
    'Los Angeles battles huge wildfires.',
  ];

  const [visible, setVisible] = React.useState(false);
  const [inText, setInText] = React.useState();

  return (
    <>
      <List
        header='角色列表'
        style={{ background: '#fff' }}
        bordered
        dataSource={data}
        renderItem={item => (
          <List.Item
            style={{ width: '100%' }}
            actions={[
              <Button key='edit' type='link' onClick={() => onEdit(item)}>编辑</Button>,
              <Popconfirm key='delete' title="确认删除?" onConfirm={() => onDelete(item)}>
                <Button type='link' danger>删除</Button>
              </Popconfirm>
            ]}
          >
            <div onClick={() => props.onChange(item)}>
              {item}
            </div>
          </List.Item>
        )}
      />
      <Modal
        title="Basic Modal"
        open={visible}
        onOk={handleOk}
        onCancel={() => setVisible(false)}
      >
        <Input value={inText} onChange={e => setInText(e.target.value)} />
      </Modal>
    </>
  )
}
